<?php
?>
<style>
    body, #main {
        background: url("https://cdn.legendsofaria.com/images/uploads/2019/08/checkout-bg.jpg") no-repeat !important;
        background-size: contain !important;
        background-color: #000 !important;
    }
</style>
<div class="s1-container">
    <div class="s1-form-container">
        <div class="s1-f-wrapper">
            <h2>Start your subscription</h2>
            <form class="f1-form" id="checkout-form" action="/process-subscription" method="POST">
                <div class="f-row">
                    <div class="f-col-6">
                        <label for="first_name">First Name</label>
                        <input type="text" class="f-input" name="first_name"/>
                    </div>
                    <div class="f-col-6">
                        <label for="last_name">Last Name</label>
                        <input type="text" class="f-input" name="last_name"/>
                    </div>
                    <div class="f-col-12">
                        <label for="first-name">Card Number</label>
                        <div id="card-number"></div>
                    </div>
                    <div class="f-col-6">
                        <label for="first-name">CVV</label>
                        <div id="cvv"></div>
                    </div>
                    <div class="f-col-6">
                        <label for="first-name">Expiration Date</label>
                        <div id="expiration-date"></div>
                    </div>
                </div>
                <div class="f-row footer">
                    <input class="checkbox" type="checkbox" name="agree" /> By checking this box, I agree to the <a href="">Commercial Terms</a> & <a href="">Privacy Policy</a>
                    <button type="submit" class="f1-submit">Subscribe</button>
                </div>
            </form>
        </div>
    </div>
</div>
<script>
    jQuery(document).ready(function($) {
        braintree.setup("<?php echo $token; ?>", "custom", {
            id: "checkout-form",
            hostedFields: {
                styles: {
                    ":focus": {
                        "color": "blue"
                    },
                    ".valid": {
                        "color": "green"
                    },
                    ".invalid": {
                        "color": "red"
                    }
                },
                number: {
                    selector: "#card-number",
                    placeholder: ""
                },
                cvv: {
                    selector: "#cvv",
                    placeholder: ""
                },
                expirationDate: {
                    selector: "#expiration-date",
                    placeholder: ""
                }
            }
        });
    });
</script>